
program Demo;

{$MODE objfpc}{$H+}
{$IFDEF mswindows}{$APPTYPE console}{$ENDIF}

uses
{$IFDEF unix}
  cthreads,
  cwstring,
{$ENDIF}
  sysutils,
  msefileutils,
  msetypes,
  msesys; { fileinfoty }

var
  lfilename: filenamety;
  ldatetime: tdatetime;
  lfiles: filenamearty;
  lfileinfo: fileinfoty;
  
begin
  lfiles := searchfiles('demo*', '.');
  for lfilename in lfiles do
  begin
    writeln(lfilename);
    
    ldatetime := getfilemodtime(lfilename);
    writeln('Last modification: ', datetimetostr(ldatetime));
    
    if getfileinfo(lfilename, lfileinfo) then
      if fis_extinfo1valid in lfileinfo.state then
        writeln('Size: ', lfileinfo.extinfo1.size, ' bytes');
    
    if checkfileext(lfilename, ['prj']) then
      writeln('MSEide project');
  end;
end.
